Expense
curl --request DELETE \
--url https://cashboard-f5x2.onrender.com/expense/{id}import requests
url = "https://cashboard-f5x2.onrender.com/expense/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://cashboard-f5x2.onrender.com/expense/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expense": {
"desc": "Electricity bill",
"category": "Utility",
"date": "2024-02-04T00:00:00.000Z",
"account": "662fbf9eac827e370c18d4b9",
"amount": 1000,
"_id": "662fce008f1d17198913a0ab"
}
}Expenses
Expense
This endpoint is used to delete an expense for a specific user.
Endpoint: https://cashboard-f5x2.onrender.com/expense/:id
Query Parameter: User’s UUID
Path Parameter: Expense ID
The response will be a JSON object that includes details of the query. The properties include:
- status(string) - indicates whether it was successful or not
- message(string) - provides details
DELETE
/
expense
/
{id}
Expense

